eoExternalEvalFunc(3)

NAME
eoExternalEvalFunc - Evaluation of external struct, ctor expects a function of the following signature:.

SYNOPSIS

#include <eoExternalOpFunctions.h>

Inherits eoEvalFunc< ExternalEO >.

  Public Member Functions
eoExternalEvalFunc (F(*_eval)(const External &))
void operator() (ExternalEO &eo)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
F(* eval )(const External &)

Detailed Description

  template<class F, class External, class ExternalEO = eoExternalEO<F, External>> class eoExternalEvalFunc< F, External, ExternalEO >
Evaluation of external struct, ctor expects a function of the following signature:. Fit func(External&);

Where External is the user defined struct or class and Fit the fitness type

Definition at line 73 of file eoExternalOpFunctions.h.

Author

Generated automatically by Doxygen for EO from the source code.